- Qt 5.15
- Qt Multimedia
- C++ Classes
- QCameraZoomControl
- Qt 5.15.19 Reference Documentation

# QCameraZoomControl Class

The QCameraZoomControl class supplies control for optical and digital camera zoom. More...

Header: | #include <QCameraZoomControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

## Public Functions

virtual | ~QCameraZoomControl()
virtual qreal | currentDigitalZoom() const = 0
virtual qreal | currentOpticalZoom() const = 0
virtual qreal | maximumDigitalZoom() const = 0
virtual qreal | maximumOpticalZoom() const = 0
virtual qreal | requestedDigitalZoom() const = 0
virtual qreal | requestedOpticalZoom() const = 0
virtual void | zoomTo(qreal optical, qreal digital) = 0

## Signals

void | currentDigitalZoomChanged(qreal zoom)
void | currentOpticalZoomChanged(qreal zoom)
void | maximumDigitalZoomChanged(qreal zoom)
void | maximumOpticalZoomChanged(qreal zoom)
void | requestedDigitalZoomChanged(qreal zoom)
void | requestedOpticalZoomChanged(qreal zoom)

## Protected Functions

| QCameraZoomControl(QObject *parent = nullptr)

## Macros

| QCameraZoomControl_iid

## Detailed Description

The interface name of QCameraZoomControl is `org.qt-project.qt.camerazoomcontrol/5.0` as defined in QCameraZoomControl_iid.

See also QMediaService::requestControl() and QCamera.

## Member Function Documentation

### `[protected]` QCameraZoomControl::QCameraZoomControl(QObject *parent = nullptr)

Constructs a camera zoom control object with parent.

### `[signal]` void QCameraZoomControl::currentDigitalZoomChanged(qreal zoom)

Signal emitted when the current digital zoom value changed.

### `[signal]` void QCameraZoomControl::currentOpticalZoomChanged(qreal zoom)

Signal emitted when the current optical zoom value changed.

### `[signal]` void QCameraZoomControl::maximumDigitalZoomChanged(qreal zoom)

Signal emitted when the maximum supported digital zoom value changed.

The maximum supported zoom value can depend on other camera settings, like capture mode or resolution.

### `[signal]` void QCameraZoomControl::maximumOpticalZoomChanged(qreal zoom)

Signal emitted when the maximum supported optical zoom value changed.

The maximum supported zoom value can depend on other camera settings, like focusing mode.

### `[signal]` void QCameraZoomControl::requestedDigitalZoomChanged(qreal zoom)

Signal emitted when the requested digital zoom value changed.

### `[signal]` void QCameraZoomControl::requestedOpticalZoomChanged(qreal zoom)

Signal emitted when the requested optical zoom value changed.

### `[virtual]` QCameraZoomControl::~QCameraZoomControl()

Destruct the camera zoom control object.

### `[pure virtual]` qreal QCameraZoomControl::currentDigitalZoom() const

Return the current digital zoom value.

### `[pure virtual]` qreal QCameraZoomControl::currentOpticalZoom() const

Return the current optical zoom value.

### `[pure virtual]` qreal QCameraZoomControl::maximumDigitalZoom() const

Returns the maximum digital zoom value, or 1.0 if digital zoom is not supported.

### `[pure virtual]` qreal QCameraZoomControl::maximumOpticalZoom() const

Returns the maximum optical zoom value, or 1.0 if optical zoom is not supported.

### `[pure virtual]` qreal QCameraZoomControl::requestedDigitalZoom() const

Return the requested digital zoom value.

### `[pure virtual]` qreal QCameraZoomControl::requestedOpticalZoom() const

Return the requested optical zoom value.

### `[pure virtual]` void QCameraZoomControl::zoomTo(qreal optical, qreal digital)

Sets optical and digital zoom values.

Zooming can be asynchronous with value changes reported with currentDigitalZoomChanged() and currentOpticalZoomChanged() signals.

The backend should expect and correctly handle frequent zoomTo() calls during zoom animations or slider movements.

## Macro Documentation

### QCameraZoomControl_iid

`org.qt-project.qt.camerazoomcontrol/5.0`

Defines the interface name of the QCameraZoomControl class.